#include ONCE "window9.bi"

sub DeleteItemMenu ( menu as HMENU , iNumberMenu as Long  , iFlag as Long = 0) export
	
	dim as ListT ptr pListTemp
	
	dim as HMENU itemMenu
	
	pListTemp = cast(ListT ptr,pGlobalTypeWindow9->ListMenus->findNodeFunc(cint(iNumberMenu)))
	
	if pListTemp = 0 then exit sub
	
	itemMenu = cast(HMENU , pListTemp->anyTwoData)
	
	gtk_widget_destroy(itemMenu)
	
	pGlobalTypeWindow9->ListMenus->removeNodeSub(iNumberMenu)
	
End Sub